// ***********************************************
//   DG14032 Demo
// ***********************************************

#include <avr/io.h>
#include <avr/pgmspace.h>
#include "graphic.h"
#include "ST7920.h"

int main (void) {
	
	GLCD_Init();
	GLCD_ClearTXT();
	GLCD_ClearGFX();
	GLCD_WriteString(1,0,"Zeile 1");
	GLCD_WriteString(1,1,"Zeile 2");
	GLCD_Rectangle(0,0,140,31,1);	
	GLCD_Line(80,0,80,30,1);
	GLCD_Circle(110,15,10,1);

	// Im Verborgenen zeichnen...
	// ... wird anschlieend durch Scrollen sichtbar
	GLCD_Rectangle(0,32,140,63,1);
	GLCD_WriteString(1,2,"Zeile 3");
	GLCD_WriteString(1,3,"Zeile 4");
	
	// Scroll Demo
	for (int8_t i=0; i<=64; i++) {
		GLCD_VerticalOffset(i);	
		Delay(20000UL);
		}
	for (int8_t i=64; i>=0; i--) {
		GLCD_VerticalOffset(i);	
		Delay(20000UL);
		}
	
	return 0;
}
